using Ashermed.ApiLogCoreFramework.ContractModel;
using Ashermed.ApiLogCoreFramework.Service;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;

namespace ASHermed.SinoInterface.Api.Service.App
{
    public class LoggerService
    {
        private readonly IAPILogService _apiLogService;
        public LoggerService(IAPILogService apiLogService)
        {
            _apiLogService = apiLogService;
        }
        public void Info(AddRequestLogParam req)
        {
            _apiLogService.AddRequestLogAsync(req);
        }
    }
}
